.company__menu {
	margin-bottom: 46px;
}

.about-company-menu__ul {
	display: grid;
	gap: 16px;
	grid-template-columns: repeat(4, 1fr);
}

.about-company-menu__ul li {
	min-height: 64px;
	display: flex;
	border-radius: 8px;
	border: 1px solid var(--brand-alpha200);
	align-items: center;
	box-sizing: border-box;
	position: relative;
	overflow: hidden;
	transition: .3s linear;
}

.about-company-menu__ul li a {
	font-weight: 700;
	font-size: 16px;
	padding: 12px;
	line-height: 150%;
	color: var(--brand100);
	display: flex;
	align-items: center;
	justify-content: space-between;
	transition: all .3s linear;
	width: 100%;
	text-decoration: none;
	position: relative;
	z-index: 2;
}

.menu-item__title {
	flex: 1;
	padding-right: 30px; 
	transition: color .3s linear;
}

.menu-item__preview {
	width: 24px;
	height: 24px;
	min-width: 24px;
	border-radius: 6px;
	position: absolute;
	right: 12px;
	top: 50%;
	transform: translateY(-50%);
	background-color: var(--brand100);
	mask-image: var(--preview-image, none);
	-webkit-mask-image: var(--preview-image, none);
	mask-size: cover;
	-webkit-mask-size: cover;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
	mask-position: center;
	-webkit-mask-position: center;
	transition: all .3s linear;
	z-index: 1;
	opacity: 0;
	animation: fadeIn 1.3s ease-in-out 0.5s forwards;
}

@keyframes fadeIn {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}


.about-company-menu__ul li:hover {
	border-color: var(--brand200);
}

.about-company-menu__ul li:hover a {
	color: var(--brand200);
}

.about-company-menu__ul li:hover .menu-item__preview {
	background-color: var(--brand200);
}

#company-menu li.current-menu-item {
	background-color: var(--brand200);
	border-color: var(--brand200);
}

#company-menu li.current-menu-item a {
	color: var(--white);
}

#company-menu li.current-menu-item .menu-item__preview {
	background-color: var(--white);
}

#company-menu li.current-menu-item:hover a {
	color: var(--white);
}

.about-company-menu__wrapper {
	position: relative;
	overflow: hidden;
}

.about-company-menu__wrapper.collapsed {
	max-height: calc(3 * (64px + 16px)); 
	transition: max-height 0.3s ease;
}

.about-company-menu__wrapper.expanded {
	max-height: none !important;
	transition: max-height 0.3s ease;
}

.menu-toggle-btn {
	background: none;
	border: none;
	color: var(--brand100);
	transition: all 0.3s linear;
	font-weight: 400;
	font-size: 16px;
	line-height: 150%;
	text-decoration: underline;
}

/* Адаптивность */
@media(max-width: 1240px) {
	.about-company-menu__ul {
		grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
	}
}

@media(max-width: 768px) {
	.about-company-menu__ul {
		grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
		margin-bottom: 24px;
	}

	.about-company-menu__ul li {
		padding: 10px;
	}

	.about-company-menu__ul li a {
		font-size: 14px;
	}

}

@media(max-width: 500px) {
	li.current-menu-item {
		order: -1;
	}
}